/************************************************************************************
* Copyright (C) 1997 Charles-Edouard Ruault ce@ruault.com
*
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
************************************************************************************/
package News;
import java.net.*;
import java.lang.*;
import java.io.*;
import java.util.*;

public class NntpResponse
	{
	private String Message, Line;
	private int Code;

	public NntpResponse(String retour)
		{
		Integer statusCode;

		if (retour==null)
		{
		  Code=-1;
		  Message="";
		  Line="";
		  return;
		}
		statusCode=new Integer(retour.substring(0,3));
		Code=statusCode.intValue();
		if (retour.length()>=4)
		  Message=retour.substring(4);
		else
		  Message="";
		Line=retour;
		}

	public int getCode()
		{

		return Code;
		}

	public String getMessage()
		{

		return Message;
		}

	public String getLine()
		{

		return Line;
		}
	}





