/************************************************************************************
* Copyright (C) 1997 Charles-Edouard Ruault ce@ruault.com
*
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
************************************************************************************/
package Mail;
import java.lang.*;

public class MailAddress
	{
	private String Name, EMail;

	public MailAddress(String complete)
		{
		int beg, end;

		beg=complete.indexOf(" <");
		if (beg != -1)
			{
			end=complete.indexOf('>', beg);
			if (end == -1)
				{
				System.out.println("Error, bad Address format :"+complete);
				return;
				}
			EMail=complete.substring(beg+2, end);
			Name=complete.substring(0, beg);
			return;
			}
		beg=complete.indexOf('(');
		if (beg != -1)
			{
			end=complete.indexOf(')', beg);
			if (end == -1)
				{
				System.out.println("Error, bad Address format :"+complete);
				return;
				}
			Name=complete.substring(beg+1, end);
			EMail=complete.substring(0, beg);
			return;
			}
		Name="";
		EMail=complete;
		}

	public MailAddress(String name, String mail)
		{

		Name=name;
		EMail=mail;
		}

	public String getMail()
		{

		return EMail;
		}

	public String getName()
		{

		return Name;
		}

	public String toString()
		{

		return (Name+" ("+EMail+")");
		}
	}
