package tests;

import java.io.*;
import java.util.*;
import Message.*;

public class testMessage
{
  public static void main(String[] args)
  {
    if (args.length==0)
      return;
    try
    {
      File in_f=new File(args[0]);
      int len=(int)in_f.length();
      char data[]=new char[len];
      BufferedReader in=new BufferedReader(new FileReader(in_f));
      in.read(data, 0, len);
      in.close();
      Message m=new Message(new String(data));
      if (m.hasParts())
      {
	int i=0;
	Enumeration p=m.getParts();
	MimePart part;
	String name;
	while(p.hasMoreElements())
	{
	  part=(MimePart)p.nextElement();
	  i++;
	  name=part.getName();
	  if (name==null)
	    name="untitled_"+i+".part";
	  System.out.println("Part : "+name);
	  char resu[]=part.getRawData();
	  BufferedWriter out=new BufferedWriter(new FileWriter(name));
	  out.write(resu, 0, resu.length);
	  out.close();
	}
      }
      System.out.println("\n\nMessage\n"+m.getMessage());
    }
    catch(Exception e)
    {
      System.err.println(e);
    }  

    System.out.println("done");

  }
}
